Is NavCore 8.300 needed for new maps?

Joined
Oct 31, 2008
Messages
78
Location
Minnesota
TomTom Model(s)
720
I am thinking updating my map and was wondering if NavCore v8.300 is needed for the new v815 NA map? I see all the problems like the stuttering and FM transmitter is now no longer and dont want to update the NavCore just yet because of these but I dont want to stick with my old maps I have now either. Alot of the roads have changed around here in the last year or 2 and would like something a bit more up to date. ;)

Wish I could buy older maps from tomtom like the v810 maps or something. :(
 
Unfortunately, yes.........for 8.15, you need f/w 8.3.

We can only hope there is a firmware fix in the pipeline for the issues created by that release........
 

Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments. After that, you can post your question and our members will help you out.

Ask a Question

Members online

Latest resources

Forum statistics

Threads
28,998
Messages
195,860
Members
67,982
Latest member
Big Lenny

Latest Threads

Back
Top